Bug 859042 - port python-ethtool to libnl-3.x
port python-ethtool to libnl-3.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-ethtool (Show other bugs)
19
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: David Sommerseth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 984226
  Show dependency treegraph
 
Reported: 2012-09-20 08:50 EDT by Miroslav Suchý
Modified: 2016-05-22 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-ethtool-0.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 22:35:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-09-20 08:50:00 EDT
Copied from Debian bug 688173


python-ethtool has a build-dependency on libnl-dev [1].
libnl-1.x is no longer actively developed [2] and has been superseded
by libnl-3.x [3].
Please port python-ethtool to this new version resp. notify upstream to get
python-ethtool updated.
One of the major changes in v3 is that the library was split into
several smaller libraries. You can find a developer' guide and
API documentation for each library at [2].

Cheers,
Michael


[1] http://packages.qa.debian.org/libn/libnl.html
[2] http://www.infradead.org/~tgr/libnl/
[3] http://packages.qa.debian.org/libn/libnl3.html
Comment 1 Miroslav Suchý 2012-09-20 08:52:30 EDT
Per discussion with David Sommerseth assigning directly to him.
Comment 2 Fedora End Of Life 2013-04-03 10:20:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Miroslav Suchý 2013-05-16 05:37:54 EDT
Ping what is status of this bug?
Comment 4 Miroslav Suchý 2013-06-03 08:12:23 EDT
Raising priority as libnl-1.x should be removed really soon.
Comment 5 Miroslav Suchý 2013-08-19 09:19:51 EDT
Ping.
Comment 6 Miroslav Suchý 2013-10-16 10:35:35 EDT
Ping?
Comment 7 David Sommerseth 2013-12-11 16:08:43 EST
I've build new packages for Fedora 19, 20 and Rawhide:

* Fedora Rawhide/21:
https://koji.fedoraproject.org/koji/buildinfo?buildID=484178

* Fedora 20:
https://koji.fedoraproject.org/koji/buildinfo?buildID=484182

* Fedora 19:
https://koji.fedoraproject.org/koji/buildinfo?buildID=484181

These builds should be fairly stable and quick testing didn't reveal anything critical.  Please test!   I will push them out as updates soonish too.
Comment 8 Fedora Update System 2013-12-23 11:22:37 EST
python-ethtool-0.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-ethtool-0.9-2.fc19
Comment 9 Fedora Update System 2013-12-23 11:42:34 EST
python-ethtool-0.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ethtool-0.9-2.fc20
Comment 10 Fedora Update System 2014-01-09 15:37:05 EST
python-ethtool-0.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ethtool-0.10-1.fc20
Comment 11 Fedora Update System 2014-01-11 03:41:59 EST
Package python-ethtool-0.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ethtool-0.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0635/python-ethtool-0.10-1.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2014-01-29 22:35:56 EST
python-ethtool-0.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-05-08 23:04:20 EDT
python-ethtool-0.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.